<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<!DOCTYPE html>
	<html lang="pt-br">
		<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="">
		<meta name="author" content="">
		<link rel="shortcut icon" href="static/ico/favicon.png">
		
		<title>e-Selo - Selo Brasileiro de Acessibilidade :: Avaliações</title>
		
		<!-- Bootstrap core CSS -->
		<link href="<c:url value="/static/css/bootstrap.css"/>" rel="stylesheet">
		<link href="<c:url value="/static/css/datepicker.css"/>" rel="stylesheet">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="static/js/html5shiv.js"></script>
			<script src="static/js/respond.min.js"></script>
		<![endif]-->
	</head>
	<body>
		<tiles:insertTemplate template="/WEB-INF/jsp/template/header.jsp" />
	
		<div class="container">
			<div class="row">
				<div class="col-md-12"> <!-- Right -->
					<div class="container">
						<div class="row">
							<div class="span12">
								<div class="hero-unit center">
									<tiles:insertAttribute name="body" />
									<p>
										<b>Ou você pode pressionar este botão:</b>
									</p>
									<a href="<c:url value="/painel"/>" class="btn btn-large btn-info">
										<i class="glyphicon glyphicon-home"></i> Página Inicial
									</a>
								</div>
								<br />
				
								<br />
								<p></p>
								
							</div>
						</div>
					</div>
				</div> <!--/col-span-12-->
			</div>
	
		</div> <!-- /container -->
		
		<script src="<c:url value="/static/js/jquery.js"/>"></script>
	    <script src="<c:url value="/static/js/bootstrap.js"/>"></script>
	</body>
</html>