<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<!DOCTYPE html>
<html lang="pt-br">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="author" content="">
<link rel="shortcut icon" href="static/assets/ico/favicon.png">

<title>e-Selo - Selo Brasileiro de Acessibilidade :: Entrar</title>

<!-- Bootstrap core CSS -->
<link href="<c:url value="/static/css/bootstrap.css"/>" rel="stylesheet">

<!-- Custom styles for this template -->
<link href="<c:url value="/static/css/login.css"/>" rel="stylesheet">

<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!--[if lt IE 9]>
		      <script src="<c:url value="/static/js/html5shiv.js"/>"></script>
		      <script src="<c:url value="/static/js/respond.min.js"/>"></script>
		<![endif]-->
</head>

<body>

	<div class="container">

		<div class="jumbotron text-center">
			<h1>e-Selo</h1>
			<p>Selo Brasileiro de Acessibilidade</p>
		</div>

		<form class="form-signin" action="<c:url value="/login"/>"
			method="post">
			<div class="control-group error">
				<c:if test="${not empty mensagem}">
					<div class="alert alert-success alert-dismissable">
						<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
						${mensagem}
					</div>
				</c:if>
				<div class="controls text-center">
					<c:forEach var="error" items="${errors}">
						<span class="help-inline">${error.message}</span>
					</c:forEach>
				</div>
			</div>

			<input id="cpf" name="usuario.cpf" type="text"
				class="form-control cpf" autofocus required placeholder="CPF">
			<input
				id="senha" name="usuario.senha" type="password" class="form-control"
				required placeholder="Senha">

			<button class="btn btn-lg btn-primary btn-block" type="submit">Entrar</button>
		</form>

		<div class="login-footer">
			<div class="row">
				<div class="col-xs-6 col-md-6">
					<div class="left-section">
						<a href="${linkTo[UsuariosController].recuperarSenhaForm}">Esqueci minha senha</a>
					</div>
				</div>
			</div>
		</div>

	</div>
	<!-- /container -->

	<script src="<c:url value="/static/js/jquery.js"/>"></script>
	<script src="<c:url value="/static/js/bootstrap.js"/>"></script>
	<script src="<c:url value="/static/js/jquery.mask.js"/>"></script>

	<script>
		// 			$(".cpf").mask("000.000.000-00");
	</script>
</body>
</html>