package br.com.eselo.component;

import br.com.caelum.vraptor.ioc.Component;
import br.com.caelum.vraptor.ioc.SessionScoped;
import br.com.eselo.model.Usuario;

@Component
@SessionScoped
public class UsuarioWeb {

	private Usuario logado;

	public void login(Usuario usuario) {
		this.logado = usuario;
	}

	public String getNome() {
		return logado.getNome();
	}

	public Long getId() {
		return logado.getId();
	}
	
	public boolean isLogado() {
		return logado != null;
	}

	public void logout() {
		this.logado = null;
	}
	
	public Usuario getUsuario() {
		return logado;
	}

}
