package br.com.eselo.conexaoAsesWeb;

import java.util.Date;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.DomDriver;
import com.thoughtworks.xstream.io.xml.XmlFriendlyReplacer;

public class ResultadoAvaliacao {
	
	private String url;
	private Date data;
	private Double nota;
	private String observacoes;
	
	public String getUrl() {
		return url;
	}
	
	public void setUrl(String url) {
		this.url = url;
	}
	
	public Date getData() {
		return data;
	}
	
	public void setData(Date data) {
		this.data = data;
	}
	
	public Double getNota() {
		return nota;
	}
	
	public void setNota(Double nota) {
		this.nota = nota;
	}

	public String getObservacoes() {
		return observacoes;
	}

	public void setObservacoes(String observacoes) {
		this.observacoes = observacoes;
	}
	
	@Override
	public String toString() {
		XStream xstream = new XStream(new DomDriver("UTF-8", new XmlFriendlyReplacer("__", "_")));  
		
		xstream.alias("resultado_da_avaliacao", ResultadoAvaliacao.class);
		xstream.aliasField("url", ResultadoAvaliacao.class, "url");
		xstream.aliasField("data", ResultadoAvaliacao.class, "data");
		xstream.aliasField("nota", ResultadoAvaliacao.class, "nota");
		xstream.aliasField("observacoes", ResultadoAvaliacao.class, "observacoes");
		
		return "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"+xstream.toXML(this);
		
	}

	
}
