<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/avaliacoes" />"><strong><span class="glyphicon glyphicon-check"></span> Avaliações</strong></a>
		
		<a href="<c:url value="/avaliacao/form" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir Avaliação</a>
		
		<br />
		
		<hr />
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		
		
		
		<div class="row">
			<div class="col-md-12">
				<label for="inputNome">Id Avaliação: </label>${idAval}<br>
				<label for="inputNome">Url Avaliada: </label>${nomeUrl}<br>
				<label for="inputNome">Data da Avaliação: </label>${dataAval}<br>
			</div>
		</div>
		
		
		
		
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table id="usuariosTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>Id Avaliação</th>
								<th>Diretriz</th>
								<th>Erros Obitidos</th>
								<th>Avisos Obitidos</th>
							</tr>
						</thead>
						<tbody>
						
							<c:forEach items="${resultadoList}" var="resultado">
								<tr>
									<td>${resultado.avaliacao.id}</td>
									<td>${resultado.numDiretriz}</td>
									<td>${resultado.numErros}</td>
									<td>${resultado.numAvisos}</td>
								</tr>
							</c:forEach>
							
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>