<%@taglib prefix="t" tagdir="/WEB-INF/tags"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<t:baseLayout>
	<jsp:body>
	
			
	<br>
	<c:if test="${not empty lsCaminhoAvaliacao}">
	<div class="avaliacao">
	
	
	<br>
	<c:forEach items="${lsCaminhoAvaliacao}" var="caminhoAvaliacao">
	<a href="${caminhoAvaliacao.link }" class="${caminhoAvaliacao.classe }">${caminhoAvaliacao.nome }</a><br>
	</c:forEach>
	<br>
	</div>
	</c:if>
	${html}
		
		<label id="legenda" class="oculto">${legenda }</label>
		<br>
	<c:if test="${not empty lsMediaAvaliacao}">
	
	<label id="ultimaAvaliacao">Última avaliação em: ${ultimaAvaliacao }</label>
	<br>
	<div class="avaliacao">
	<br>
		<table>
			<thead>
				<tr>
					<th id="nome">${tipo}</th>
					<th id="total" class="centralizado">Total de ${nomeTotal}</th>
					<c:if test="${tipo == 'Páginas'}">
					<th id="media" class="centralizado">Nota</th>
					</c:if>
					<c:if test="${tipo != 'Páginas'}">
					<th id="media" class="centralizado">Média</th>
					</c:if>
				</tr>
			</thead>
			<tbody>
			<c:forEach items="${lsMediaAvaliacao}" var="mediaAvaliacao">	
			<tr>
			<td headers="nome" class="celula">
			<c:if test="${tipo == 'Páginas'}">
			
			<c:set var = "stringLowerCase" value = "${fn:toLowerCase(mediaAvaliacao.nome)}" />
			<c:set var = "string1" value = "${fn:replace(stringLowerCase, 'http://', '')}"/>
			<c:set var = "string2" value ="${fn:replace(string1, '/', '')}"/>
			<c:set var = "string3" value ="${fn:replace(string2, '.', '')}"/>
			<c:set var = "string4" value ="${fn:replace(string3, ' ', '')}"/>
			<a href="http://eselo-prd.brazilsouth.cloudapp.azure.com:8080/arquivosHtml/${string4}.html">${mediaAvaliacao.nome }</a>
			
			</c:if>
			<c:if test="${tipo != 'Páginas'}">
			<c:set var = "stringLowerCase" value = "${fn:toLowerCase(mediaAvaliacao.nome)}" />
			<c:set var = "string1" value = "${fn:replace(stringLowerCase, 'http://', '')}"/>
			<c:set var = "string2" value ="${fn:replace(string1, '/', '')}"/>
			<a href="/media-avaliacao/${novoTipo }/${mediaAvaliacao.id}/${string2 }/${mediaAvaliacao.media }">${mediaAvaliacao.nome }</a>
			</c:if>
			</td>
			<td headers="total" class="celula centralizado">
			${mediaAvaliacao.total }
			</td>
			
			<td headers="media" class="celula centralizado">
			${mediaAvaliacao.media }
			</td>
			</tr>
			
			</c:forEach>
			
			</tbody>
		</table>
		<br>
		</div>
		</c:if>
		
		<div class="avaliacao">
		<c:if test="${exibirTabelaRelatorio != false}">
		
				<c:if test="${not empty lsRelatoriosFad}">
				<h2>Relatório Circunstantiado e Plano de Trabalho enviados ao Ministério do Planejamento e ao Ministério Público Federal.</h2>
		
		<hr>
		<table>
			<thead>
				<tr>
					<th id="nome">${tipo}</th>
					<th id="relatorio" class="centralizado">Relatório Circunstanciado</th>
					<th id="planoTrabalho" class="centralizado">Plano de trabalho</th>
				</tr>
			</thead>
			<tbody>
			<c:forEach items="${lsRelatoriosFad}" var="relatoriosFad">
			<tr>
			<td headers="nome" class="celula">${relatoriosFad.no_unidade_plano }
			
			</td>
			<td headers="relatorio" class="celula"><a href="${pageContext.request.contextPath}/painel-acessibilidade/${relatoriosFad.id }/fad"><img class="imgDonload" alt="Download do relatório - ${relatoriosFad.no_unidade_plano }" src="${pageContext.request.contextPath}/static/img/icone download.png"></a>
			
			</td>
			<td headers="planoTrabalho" class="celula"><a href="${pageContext.request.contextPath}/painel-acessibilidade/${relatoriosFad.id }/plano"><img class="imgDonload" alt="Download do plano de trabalho - ${relatoriosFad.no_unidade_plano }" src="${pageContext.request.contextPath}/static/img/icone download.png"> </a>		
			</td>
			</tr>
			</c:forEach>
			
			</tbody>
			</table>
			<br>
		</c:if>
		<c:if test="${empty lsRelatoriosFad}">
		<label class="fonteVermelha">Relatórios não recebidos pelo Ministério do Planejamento.</label>
		</c:if>
		</c:if>
		</div>
		
	</jsp:body>
</t:baseLayout>