<%@taglib prefix="t" tagdir="/WEB-INF/tags"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<t:baseLayout>
	<jsp:body>

${html}

	<div class="avaliacao">
	<h2>Relatório Circunstanciado de Acessibilidade Digital</h2>
	<br>
	<c:if test="${not empty lsMediaAvaliacao}">
	
	
	
	<c:if test="${carregamento == 'orgao'}">
		<table>
			<thead>
				<tr>
					<th id="nome">${tipo}</th>
					<th id="total" class="centralizado">Total de ${nomeTotal}</th>
					<th id="media" class="centralizado">Média</th>
				</tr>
			</thead>
			<tbody>
			<c:forEach items="${lsMediaAvaliacao}" var="mediaAvaliacao">	
			<tr>
			<td headers="nome" class="celula">
			<c:if test="${tipo == 'Páginas'}">
			
			<c:set var = "stringLowerCase" value = "${fn:toLowerCase(mediaAvaliacao.nome)}" />
			<c:set var = "string1" value = "${fn:replace(stringLowerCase, 'http://', '')}"/>
			<c:set var = "string2" value ="${fn:replace(string1, '/', '')}"/>
			<c:set var = "string3" value ="${fn:replace(string2, '.', '')}"/>
			<c:set var = "string4" value ="${fn:replace(string3, ' ', '')}"/>
			<a href="http://eselo-prd.brazilsouth.cloudapp.azure.com:8080/arquivosHtml/${string4}.html">${mediaAvaliacao.nome }</a>
			
			</c:if>
			<c:if test="${tipo != 'Páginas'}">
			<c:set var = "stringLowerCase" value = "${fn:toLowerCase(mediaAvaliacao.nome)}" />
			<c:set var = "string1" value = "${fn:replace(stringLowerCase, 'http://', '')}"/>
			<c:set var = "string2" value ="${fn:replace(string1, '/', '')}"/>
			<c:set var = "string3" value ="${fn:replace(string2, '.', '')}"/>
			<c:set var = "string4" value ="${fn:replace(string3, ' ', '')}"/>
			<a href="${pageContext.request.contextPath}/media-avaliacao/${novoTipo }/${mediaAvaliacao.id}/${string4 }/${mediaAvaliacao.media }">${mediaAvaliacao.nome }</a>
			</c:if>
			</td>
			<td headers="total" class="celula centralizado">
			${mediaAvaliacao.total }
			</td>
			
			<td headers="media" class="celula centralizado">
			${mediaAvaliacao.media }
			</td>
			</tr>
			
			</c:forEach>
			
			</tbody>
		</table>
		</c:if>
	
		<br>
		
		</c:if>
		
	
</jsp:body>
</t:baseLayout>