<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/permissoes" />"><strong><span class="glyphicon glyphicon-check"></span> Permissões</strong></a>
		
		<a href="<c:url value="/permissoes/sincronizar" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-refresh"></span> Sincronizar</a>
		
		<br />
		
		<hr />
		
		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table id="permissoesTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>Descrição</th>
<!-- 								<th>&nbsp;</th> -->
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${permissaoList}" var="permissao">
								<tr>
									<td>${permissao.permissao}</td>
<!-- 									<td> -->
<!-- 										<div class="btn-group"> -->
<%-- 											<a href="<c:url value="/permissoes/${permissao.id}" />" class="btn btn-default btn-sm">Atualizar</a> --%>
<%-- 											<a href="<c:url value="/permissoes/delete/${permissao.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente excluir a permissão selecionada?">Excluir</a> --%>
<!-- 										</div> -->
<!-- 									</td> -->
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>
				
				<div id="user-pagination"></div>
<!-- 				<ul class="pagination pagination-small pagination-centered"> -->
<!-- 					<li class="disabled"><a href="#">«</a></li> -->
<!-- 					<li class="active"><a href="#">1</a></li> -->
<!-- 					<li><a href="#">2</a></li> -->
<!-- 					<li><a href="#">3</a></li> -->
<!-- 					<li><a href="#">4</a></li> -->
<!-- 					<li><a href="#">5</a></li> -->
<!-- 					<li><a href="#">»</a></li> -->
<!-- 				</ul> -->
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>