<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/testes" />">
			<strong><span class="glyphicon glyphicon-check"></span> Testes</strong>
		</a>

		<hr />
		
		<div class="row">
			<div class="col-md-12">
				<form id="testeForm" name="testeForm" class="form-horizontal" action="<c:url value="/teste/form"/>" method="post">
					<fieldset>
						<div class="form-group">
							<label for="inputUrl" class="col-lg-2 control-label">URL</label>
							<div class="col-lg-10">
								<input id="inputUrl" name="teste.url" type="text" class="form-control required" placeholder="URL" />
							</div>
						</div>
						
						<div class="form-group">
							<label for="inputXml" class="col-lg-2 control-label">XML</label>
							<div class="col-lg-10">
								<textarea id="inputXml" name="teste.xml" class="form-control required" placeholder="XML" style="resize: none; height: 400px;"></textarea>
							</div>
						</div>
						
						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<button type="submit" class="btn btn-primary">Executar</button>
							</div>
						</div>
					</fieldset>
				</form>
			</div>
		</div>
		
		<div class="row">
			<div class="col-md-12">
				<form class="form-horizontal">
					<fieldset>
						<legend>Resultado <img id="loader" hidden src=<c:url value="/static/img/loader.gif"/> /></legend>

						<div class="form-group">
							<label for="inputImagem" class="col-lg-2 control-label">Caminho da imagem</label>
							<div class="col-lg-10">
								<input id="inputImagem" type="text" class="form-control" placeholder="Caminho da imagem" readonly>
							</div>
						</div>
						
						<div class="form-group">
							<label for="inputNota" class="col-lg-2 control-label">Nota</label>
							<div class="col-lg-10">
								<input id="inputNota" type="text" class="form-control" placeholder="Nota" readonly>
							</div>
						</div>
					</fieldset>
				</form>
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>