<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<!DOCTYPE html>
<html lang="pt-br">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="author" content="">
<link rel="shortcut icon" href="static/assets/ico/favicon.png">

<title>e-Selo - Selo Brasileiro de Acessibilidade Digital :: Entrar</title>

<!-- Bootstrap core CSS -->
<link href="<c:url value="/static/css/bootstrap.css"/>" rel="stylesheet">

<!-- Custom styles for this template -->
<link href="<c:url value="/static/css/login.css"/>" rel="stylesheet">

<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!--[if lt IE 9]>
		      <script src="<c:url value="/static/js/html5shiv.js"/>"></script>
		      <script src="<c:url value="/static/js/respond.min.js"/>"></script>
		<![endif]-->
</head>

<body>

	<div class="container">

		<div class="jumbotron text-center">
			<h1>e-Selo</h1>
			<p>Selo Brasileiro de Acessibilidade Digital</p>
		</div>

<center>
		<form class="form-horizontal" style="max-width: 500px;" action="<c:url value="/login"/>" method="post">
		<div class="control-group error">
				<c:if test="${not empty mensagem}">
					<div class="alert alert-success alert-dismissable">
						<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
						${mensagem}
					</div>
				</c:if>
				<div class="controls text-center">
					<c:forEach var="error" items="${errors}">
						<span class="help-inline">${error.message}</span>
					</c:forEach>
				</div>
			</div>
			<fieldset>
						<div class="form-group">
							<label for="inputCpf" class="col-lg-2 control-label required">CPF</label>
							<div class="col-lg-10">
								<input id="inputCpf" name="usuario.cpf" type="text" class="form-control cpf required" placeholder="CPF" value="${usuario.cpf}" required oninvalid="this.setCustomValidity('O CPF é obrigatório.')" oninput="setCustomValidity('')"/>
							</div>
						</div>

						<div class="form-group">
							<label for="inputSenha" class="col-lg-2 control-label required">Senha</label>
							<div class="col-lg-10">
								<c:choose>
									<c:when test="${usuario.id == null}">
										<input id="inputSenha" name="usuario.senha" type="password" class="form-control required" placeholder="Senha"  required oninvalid="this.setCustomValidity('A senha é obrigatório.')" oninput="setCustomValidity('')" />
									</c:when>
									<c:otherwise>
										<input id="inputSenha" name="usuario.senha" type="password" class="form-control" placeholder="Senha" />
									</c:otherwise>
								</c:choose>
							</div>
						</div>

						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<button type="submit" class="btn btn-primary btn-block">Entrar</button>
							</div>
						</div>
					</fieldset>
				</form>
				



		<center>
		<div class="login-footer">
			<div class="row">
				<div >
					<div class="left-section">
						<a href="${linkTo[UsuariosController].recuperarSenhaForm}"> Esqueci minha senha</a>
					</div>
				</div>
			</div>
		</div>
		</center>
</center>
	</div>
	<!-- /container -->

	<script src="<c:url value="/static/js/jquery.js"/>"></script>
	<script src="<c:url value="/static/js/bootstrap.js"/>"></script>
	<script src="<c:url value="/static/js/jquery.mask.js"/>"></script>

	<script>
		// 			$(".cpf").mask("000.000.000-00");
	</script>
</body>
</html>