<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<!DOCTYPE html>
<html lang="pt-br">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="author" content="">
<link rel="shortcut icon" href="static/assets/ico/favicon.png">

<title>e-Selo - Selo Brasileiro de Acessibilidade Digital :: Entrar</title>

<!-- Bootstrap core CSS -->
<link href="<c:url value="/static/css/bootstrap.css"/>" rel="stylesheet">

<!-- Custom styles for this template -->
<link href="<c:url value="/static/css/login.css"/>" rel="stylesheet">

<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!--[if lt IE 9]>
      <script src="<c:url value="/static/js/html5shiv.js"/>"></script>
      <script src="<c:url value="/static/js/respond.min.js"/>"></script>
<![endif]-->

</head>

<body>

	<div class="container">

		<div class="jumbotron text-center">
			<h1>e-Selo</h1>
			<p>Selo Brasileiro de Acessibilidade Digital</p>
		</div>

		<form class="form-signin" action="<c:url value="/usuarios/recuperar_senha"/>"
			method="post" novalidate="novalidate">
			<div class="control-group error">
				<div class="controls text-center">
					<c:forEach var="error" items="${errors}">
						<span class="help-inline">${error.message}</span>
					</c:forEach>
				</div>
			</div>
			
			<input id="cpf" name="usuario.cpf" type="text"
				class="form-control cpf" autofocus required placeholder="CPF">
			
			<br />

			<button class="btn btn-lg btn-primary btn-block" type="submit">Recuperar Senha</button>
			<a href="<c:url value="/login" />" class="btn btn-lg btn-default btn-block btn-cancel">Voltar</a>

		</form>
		
		

	</div>
	<!-- /container -->

	<script src="<c:url value="/static/js/jquery.js"/>"></script>
	<script src="<c:url value="/static/js/jquery.validate.min.js"/>"></script>
	<script src="<c:url value="/static/js/additional-methods.min.js"/>"></script>
    <script src="<c:url value="/static/js/bootstrap.js"/>"></script>
    <script src="<c:url value="/static/js/bootstrap.datepicker.js"/>"></script>
    <script src="<c:url value="/static/js/locales/bootstrap-datepicker.pt-BR.js"/>"></script>
    <script src="<c:url value="/static/js/jquery.mask.js"/>"></script>
    <script src="<c:url value="/static/js/jquery.numeric.js"/>"></script>
    <script src="<c:url value="/static/js/plugins.js"/>"></script>

	<script>
		// 			$(".cpf").mask("000.000.000-00");
	</script>
</body>
</html>