<%@ tag language="java" pageEncoding="UTF-8"%>
<%@attribute name="body" fragment="true"%>


<!DOCTYPE html>
<html lang="pt-br">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="shortcut icon"
	href="${pageContext.request.contextPath}/static/ico/favicon.png">
<link
	href="${pageContext.request.contextPath}/static/css/painelAcessibilidade.css"	rel="stylesheet">
<link	href="${pageContext.request.contextPath}/static/css/barra_brasil.css"	rel="stylesheet">



<title>Painel de Acessibilidade Digital do Governo</title>

</head>
<body>
	<header id="topoPagina">

		<div id="topo">
			<ul id="accessibility">
				<li><a accesskey="1" href="#inicioConteudo" id="link-conteudo">Ir
						para o conteúdo <span>1</span>
				</a></li>
				<li><a accesskey="4" href="#footer-brasil" id="link-rodape">Ir
						para o rodapé <span>4</span>
				</a></li>
			</ul>
			<br> <br>
			<div id="logo">
				<h1 id="portal-title-1"><a href="${pageContext.request.contextPath}/painel-acessibilidade">Painel de Acessibilidade Digital do
					Governo</a></h1>
			</div>
			<div id="barra-brasil" class="barra_brasil">
				<ul id="menu-barra-temp">
					<li><a class="primeiro-link" href="http://brasil.gov.br">Portal
							do Governo Brasileiro</a></li>
					<li><a class="segundo-link"
						href="http://epwg.governoeletronico.gov.br/barra/atualize.html">Atualizesua
							Barra de Governo</a></li>
				</ul>
			</div>
	
	</header>
		</div>
			<nav id="menu">
			<ul>			
				<li id="portalservicos-contato" class="portalservicos-item">
				<a href="${pageContext.request.contextPath}/media-avaliacao/orgao">Média Brasil</a><span> | </span>
				</li><li id="portalservicosErrosMaisComuns" class="portalservicos-item">
				<a href="${pageContext.request.contextPath}/erros-mais-comuns">Erros mais comuns</a>
				</li>				
			</ul>
		</nav>
	<div class="contanner">

		<a id="inicioConteudo" class="oculto">Início do Conteúdo</a>
		<h2 id="alertaAvaliacaoAutomatica">Atenção: Validações automáticas representam apenas 20% (vinte por cento) do conjunto de verificações de acessibilidade. Dúvidas: consulte checklist humano constante no anexo "D" da <a href="http://emag.governoeletronico.gov.br/cartilha-contratacao/arquivos/anexos/Anexo-D.ods">cartilha de Boas Práticas para Acessibilidade Digital na Contratação de Desenvolvimento WEB</a></h2>
		<!-- <div class="avaliacao"> -->
			<!-- Início Conteudo -->

			<jsp:doBody />

			<!--Término Conteudo-->
		<!-- </div>-->
		</div>
		<div class="avaliacao ferramentas">
		<h2>Ferramentas para Promover a Acessibilidade Digital</h2>
		<hr>
		
		<img class="ferramentasAcessibilidade" alt="Ases Web - validador automático de sites" src="${pageContext.request.contextPath}/static/img/ASESWEB.jpg"><a href="http://asesweb.governoeletronico.gov.br">Ases Web - validador automático de sites <img src="${pageContext.request.contextPath}/static/img/site-ext.gif" alt="Site Externo" /></a>
		<br>
		
		<img class="ferramentasAcessibilidade" alt="Vlibras - tradutor automático de conteúdos para LIBRAS" src="${pageContext.request.contextPath}/static/img/vlibras.png"><a href="http://www.vlibras.gov.br/">Vlibras - tradutor automático de conteúdos para LIBRAS <img src="${pageContext.request.contextPath}/static/img/site-ext.gif" alt="Site Externo" /></a><br>
		
		<img class="ferramentasAcessibilidade" alt="Modelo de Acessibilidade em Governo Eletrônico - eMAG" src="${pageContext.request.contextPath}/static/img/emag.png"><a href="http://emag.governoeletronico.gov.br/">Modelo de Acessibilidade em Governo Eletrônico - eMAG <img src="${pageContext.request.contextPath}/static/img/site-ext.gif" alt="Site Externo" /></a><br>
		
		<img class="ferramentasAcessibilidade" alt="cartilha de Boas Práticas para Acessibilidade Digital na Contratação de Desenvolvimento WEB" src="${pageContext.request.contextPath}/static/img/capa-cartilha.png"><a href="http://emag.governoeletronico.gov.br/cartilha-contratacao/arquivos/anexos/Anexo-D.ods">Cartilha de Boas Práticas para Acessibilidade Digital na Contratação de Desenvolvimento WEB<img src="${pageContext.request.contextPath}/static/img/site-ext.gif" alt="Site Externo" /></a><br><br>
		<a id="fimConteudo" class="oculto">Fim do Conteúdo</a>
		<div id="voltar-topo">
			<a href="#topoPagina">Voltar para o topo</a>
		</div>
	
	<footer id="footer-brasil"></footer>
	<script defer="defer" src="//barra.brasil.gov.br/barra.js"	type="text/javascript"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath}/static/js/jquery-1.10.2.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.1.3/Chart.min.js"></script>	
	
	${grafico_js }	
	<script type="text/javascript" src="${pageContext.request.contextPath}/static/js/chartPainelAgregado.js"></script>
	
	<noscript>Seu navegador não possui suporte para JavaScript!</noscript>
</body>
</html>
