package br.com.eselo.controller;



import br.com.caelum.vraptor.Post;
import br.com.caelum.vraptor.Resource;
import br.com.caelum.vraptor.Result;
import br.com.caelum.vraptor.view.Results;
import br.com.eselo.dao.UsuarioServicoWebDAO;
import br.com.eselo.model.UsuarioServicoWeb;

@Resource
public class UsuarioServicoWebController {


  private final UsuarioServicoWebDAO dao;
  private final Result result;

  public UsuarioServicoWebController(UsuarioServicoWebDAO _dao, Result result) {
    this.dao = _dao;
    this.result = result;


  }

  
  //@Path("/existe_usuario_servico_web")
  @Post("/existe_usuario_servico_web")
  public void existeUsuarioServicoWeb(String codigoHash) {

    Boolean usuarioAutorizado = false;
    UsuarioServicoWeb carregado = dao.existeUsuarioServicoWeb(codigoHash);
    if (carregado != null) {
      usuarioAutorizado = true;
    }

    result.use(Results.json()).withoutRoot().from(usuarioAutorizado).serialize();  
  }

}
