package br.com.eselo.dao;

import java.sql.SQLException;

import org.hibernate.HibernateException;
import org.hibernate.SQLQuery;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Orgao;
import br.com.eselo.model.Sitio;
import br.com.eselo.model.UltimaAvaliacao;

@Component
public class OrgaoDao  extends GenericDAO<Orgao>{

	public OrgaoDao(Session _session) {
		super(_session);
	}

	  public Sitio existeOrgao(String orgao) {
		    return (Sitio) getSession().createCriteria(getPersistentClass())
		        .add(Restrictions.eq("sitio", orgao))
		        .uniqueResult();
		  }
	  
	  public Sitio existeOrgao(Integer id) {
		    return (Sitio) getSession().createCriteria(getPersistentClass())
		        .add(Restrictions.eq("id_sitio", id))
		        .uniqueResult();
		  }
	  
	  public Orgao buscarOrgaoPorSitio(Long id) {
			Orgao orgao = new Orgao();
			StringBuffer query = new StringBuffer();
			

			query.append(" SELECT id_unidade, nome, sigla, id_esfera, id_natureza_juridica, id_orgao_entidade, ");
			query.append("       id_poder, id_tipo_unidade, id_unidade_pai ");
			query.append("  FROM sel_orgao where id_unidade = (SELECT id_unidade FROM sel_dominios where id_dominio =(SELECT id_dominio   FROM sel_sitios where id_sitio = "+ id +")); ");
			
			SQLQuery sqlQuery = session.createSQLQuery(query.toString());
			sqlQuery.addEntity(Orgao.class);
			orgao = (Orgao) sqlQuery.uniqueResult();
			

			try {
				session.connection().close();
			} catch (HibernateException e) {
				e.printStackTrace();
			} catch (SQLException e) {
				e.printStackTrace();
			}
			

			return orgao;
			
		}
}
