package br.com.eselo.dao;

import java.io.InputStream;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

import org.hibernate.HibernateException;
import org.hibernate.SQLQuery;
import org.hibernate.Session;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.cfg.Configuration;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.component.Mailer;
import br.com.eselo.model.RelatoriosFad;


@Component
public class RelatoriosFadDAO extends GenericDAO<RelatoriosFad>{
	
	public RelatoriosFadDAO(Session _session) {		
				
		super(_session);
	}
	
		
	/*public Configuration getConfig() {
		
		Configuration config = new AnnotationConfiguration()
		.addAnnotatedClass(RelatoriosFad.class)
		.setProperty("hibernate.connection.driver_class", "org.postgresql.Driver")
		.setProperty("hibernate.connection.url", "jdbc:postgresql://localhost/relatorioCircunstanciado")
		.setProperty("hibernate.dialect", "org.hibernate.dialect.PostgreSQLDialect")
		.setProperty("hibernate.connection.username", "postgres")
		.setProperty("hibernate.connection.password", "postgree")
		.setProperty("hibernate.show_sql", "true");
		
		return config;
		}*/
	
	public List<RelatoriosFad> retornarRelatoriosFad(String id, String host, String dbname, String usuario, String senha) {
		List<RelatoriosFad> lsRelatoriosFad = new ArrayList<RelatoriosFad>();
		StringBuffer query = new StringBuffer();

		//query.append(" SELECT * FROM RetornaRelatorioCircunstanciado("+ id +") AS (id_questionario integer, ");
		//query.append(" no_unidade_plano text, dt_rel timestamp with time zone, id_plano_trabalho integer, ");
		//query.append(" id_unidade integer, nome_plano text, arquivo_plano bytea, nome_fad text, arquivo_fad bytea);   ");

		//Configuration config = getConfig();
		
		//Session sessao = 	config.buildSessionFactory().openSession();
		query.append(" SELECT * FROM dblink('hostaddr="+ host +" dbname="+ dbname +" user=" + usuario + " password="+ senha +"', 'select * from RetornaRelatorioCircunstanciado("+ id +") ");
		query.append(" 		AS (id_questionario integer, no_unidade_plano text, dt_rel timestamp with time zone, id_plano_trabalho integer, id_unidade integer, nome_plano text, arquivo_plano bytea, nome_fad text, arquivo_fad bytea)')");
		query.append(" 		AS rel_circ(id_questionario integer, no_unidade_plano text, dt_rel timestamp with time zone, id_plano_trabalho integer, id_unidade integer, nome_plano text, arquivo_plano bytea, nome_fad text, arquivo_fad bytea)");
		
		SQLQuery sqlQuery =  session.createSQLQuery(query.toString());
		sqlQuery.addEntity(RelatoriosFad.class);
		List list = sqlQuery.list();

		for (Object object : list) {
			lsRelatoriosFad.add((RelatoriosFad) object);
		}

		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
	    
		return lsRelatoriosFad;
	}

}
