package br.com.eselo.integracao;

import br.com.eselo.model.Criterio;

public class CriterioAvaliado {
	
	private long idCriterio;
	private long qtdeErros;
	private long qtdeItens;
	private Criterio criterio;
	private Double nu_nota;
	
	
	public static final int TIPO_VERDADEIRO = 1;
	public static final int TIPO_FALSO = 2;
	public static final int TIPO_DESCRESCENTE = 3;
	public static final int TIPO_PROPORCIONAL = 4;
	
	public Long getQtdeErros() {
		return qtdeErros;
	}

	public void setQtdeErros(Long qtdeErros) {
		this.qtdeErros = qtdeErros;
	}

	public Long getQtdeItens() {
		return qtdeItens;
	}

	public void setQtdeItens(Long qtdeItens) {
		this.qtdeItens = qtdeItens;
	}

	public Long getIdCriterio() {
		return idCriterio;
	}

	public void setIdCriterio(Long idCriterio) {
		this.idCriterio = idCriterio;
	}

	
	public Criterio getCriterio() {
		return criterio;
	}

	public void setCriterio(Criterio criterio) {
		this.criterio = criterio;
	}

	public void setIdCriterio(long idCriterio) {
		this.idCriterio = idCriterio;
	}

	public void setQtdeErros(long qtdeErros) {
		this.qtdeErros = qtdeErros;
	}

	public void setQtdeItens(long qtdeItens) {
		this.qtdeItens = qtdeItens;
	}

	public Double getNu_nota() {
		return nu_nota;
	}

	public void setNu_nota(Double nu_nota) {
		this.nu_nota = nu_nota;
	}

	public Double getPercentualErros(){
		double resultado;
		if(this.qtdeItens > 1){
			resultado = (double)this.qtdeErros/this.qtdeItens;
		}else{
			resultado = 0.0;			
		}
		return resultado;
	}
}
