package br.com.eselo.integracao;

import java.util.ArrayList;
import java.util.List;

public class RecomendacaoAvaliada {

	private Long idRecomendacao;
	private List<CriterioAvaliado> criterios;
	private Long totalErros;
	private Long totalAvisos;
	private Double nuNota;

	public RecomendacaoAvaliada() {
		this.setCriterios(new ArrayList<CriterioAvaliado>());
	}

	public List<CriterioAvaliado> getCriterios() {
		return criterios;
	}

	public void setCriterios(List<CriterioAvaliado> criterios) {
		this.criterios = criterios;
	}

	public void addCriterio(CriterioAvaliado criterioAvaliado){
		this.criterios.add(criterioAvaliado);
	}
	
	public Long getTotalErros() {
		return totalErros;
	}

	public void setTotalErros(Long totalErros) {
		this.totalErros = totalErros;
	}

	public Long getTotalAvisos() {
		return totalAvisos;
	}

	public void setTotalAvisos(Long totalAvisos) {
		this.totalAvisos = totalAvisos;
	}

	public Long getIdRecomendacao() {
		return idRecomendacao;
	}

	public void setIdRecomendacao(Long idRecomendacao) {
		this.idRecomendacao = idRecomendacao;
	}

	public Double getNuNota() {
		return nuNota;
	}

	public void setNuNota(Double nuNota) {
		this.nuNota = nuNota;
	}
	
	
	
}
