<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
			<a href="<c:url value="/avaliacoes"/>"><strong><span class="glyphicon glyphicon-check"></span> Avaliações</strong></a>

			<hr />
			
			<c:forEach var="error" items="${errors}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${error.message}
				</div>
			</c:forEach>
			
			<c:if test="${not empty mensagem}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${mensagem}
				</div>
			</c:if>

			<div class="row">
				<div class="col-md-12">
					<form name="url" class="form-horizontal" action="<c:url value="/url/adiciona "/>" method="post">
						<fieldset>
							<div class="form-group">
								<label for="inputNome" class="col-lg-2 control-label">Url</label>
								<div class="col-lg-10">
									<input id="inputNome" name="url.url" type="text" class="form-control" placeholder="Url">
								</div>
							</div>
																				
							<div class="form-group">
								<div class="col-lg-10 col-lg-offset-2">
									<button class="btn btn-default btn-cancel">Cancelar</button>
									<button type="submit" class="btn btn-primary">Salvar</button>
								</div>
							</div>
						</fieldset>
					</form>
				</div>
			</div> <!--/row-->
	</tiles:putAttribute>
</tiles:insertTemplate>