<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">

			<a href="#"><strong><span class="glyphicon glyphicon-dashboard"></span> Meu Painel</strong></a>

			<hr />

			<div class="row">
				<div class="col-md-12">
				
					<div class="panel">
						<div class="panel-content">

							<div class="btn-group btn-group-justified btn-group-sm" style="height: 76px">
								<a href="<c:url value="/permissoes" />" class="btn btn-primary col-sm-3" role="button">
									<i class="glyphicon glyphicon-lock"></i>
									<p>Permissões</p>
								</a>
								<a href="<c:url value="/grupos" />" class="btn btn-primary col-sm-3" role="button">
									<i class="glyphicon glyphicon-user"></i><i class="glyphicon glyphicon-user"></i>
									<p>Grupos</p>
								</a>
								<a href="<c:url value="/usuarios" />" class="btn btn-primary col-sm-3" role="button">
									<i class="glyphicon glyphicon-user"></i>
									<p>Usuários</p>
								</a>
							</div>
							
							<br />
							
							<div class="btn-group btn-group-justified btn-group-sm" style="height: 76px">
								<a href="<c:url value="/avaliacoes" />" class="btn btn-primary col-sm-3" role="button">
									<i class="glyphicon glyphicon-check"></i>
									<p>Avaliações</p>
								</a>
								<a href="<c:url value="/tiposDiretriz" />" class="btn btn-primary col-sm-3" role="button">
									<i class="glyphicon glyphicon-list-alt"></i>
									<p>Tipos de Diretriz</p>
								</a>
								<a href="<c:url value="/parametrosAvaliacao" />" class="btn btn-primary col-sm-3" role="button">
									<i class="glyphicon glyphicon-wrench"></i>
									<p>Parâmetros de<br />Avaliação</p>
								</a>
							</div>
							
						</div> <!--/panel content-->
					</div> <!--/panel-->

				</div>

			</div> <!--/row-->
			
	</tiles:putAttribute>
</tiles:insertTemplate>