package teste;
import java.util.List;

import br.com.eselo.conexaoAsesWeb.AvaliationReport;
import br.com.eselo.conexaoAsesWeb.LeitorXML;
import br.com.eselo.model.Avaliacao;
import br.com.eselo.model.Resultado;


public class LeitorXMLTest {

	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		String input = exemploAvaliacao();
		
		List<Resultado> resultados = new LeitorXML().lerResultadosXML(input, new Avaliacao());
		
		String titulo = 
				"\n\n\n_____________________________________\n"+

				"Resultados obtidos\n"+
				"_____________________________________\n";

		
		System.out.println(titulo);
		int i=0;
		for(Resultado r:resultados){
			System.out.println("       \nResultado "+(i++));
			System.out.println("Avaliao:       "+r.getAvaliacao().getId());
			System.out.println("Identificador:   "+r.getNumDiretriz());
			System.out.println("Total de Erros:  "+r.getNumErros());
			System.out.println("Total de Avisos: "+r.getNumAvisos());
			
		}
		
	}
	
	public static String exemploAvaliacao(){
		String input =  "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"+
				"<relatorio_de_avaliacao>"+
				"<resultados>"+
				"		<url>www.bol.com.br</url>"+
				"		<data>2014-04-24 10:07:02.447 GMT-03:00</data>"+
				"		<recomendacao>"+
				"			<criterio>"+
				"				<descricao>51</descricao>"+
				"				<qtde_erros>1</qtde_erros>"+
				"			</criterio>"+
				"			<identificador>1</identificador>"+
				"			<total_erros>11</total_erros>"+
				"			<total_avisos>50</total_avisos>"+
				"		</recomendacao>" +
				"		<recomendacao>"+
				"			<criterio>"+
				"				<descricao>31</descricao>"+
				"				<qtde_erros>2</qtde_erros>"+
				"			</criterio>"+
				"			<identificador>2</identificador>"+
				"			<total_erros>13</total_erros>"+
				"			<total_avisos>30</total_avisos>"+
				"		</recomendacao>" +
				"</resultados>"+
				"</relatorio_de_avaliacao>";

		AvaliationReport ar = new LeitorXML().lerAvaliacaoXML(input);
		System.out.println(ar.toString());
		
		return ar.toString();

	}

}
