<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<!DOCTYPE html>
	<html lang="pt-br">
		<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="">
		<meta name="author" content="">
		<link rel="shortcut icon" href="static/ico/favicon.png">
		
		<title>e-Selo - Selo Brasileiro de Acessibilidade Digital :: Avaliações</title>
		
		<!-- Bootstrap core CSS -->
		<link href="<c:url value="/static/css/bootstrap.css"/>" rel="stylesheet">
		<link href="<c:url value="/static/css/datepicker.css"/>" rel="stylesheet">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="static/js/html5shiv.js"></script>
			<script src="static/js/respond.min.js"></script>
		<![endif]-->
	</head>
	<body>
		<tiles:insertTemplate template="/WEB-INF/jsp/template/header.jsp" />
	
		<div class="container">
			<div class="row">
				<div class="col-md-3">
					<!-- Left -->
					<strong>Menu</strong>
					<hr>
					<ul class="nav nav-pills nav-stacked">
						<li class="nav-header"></li>
						<li><a href="<c:url value="/painel"/>">Página Inicial</a></li>
						<li><a href="#">Meu Painel</a></li>
						<li><a href="#">Sobre</a></li>
						<li><a href="#">Contato</a></li>
						<li><a href="<c:url value="/teste"/>">Teste da Avaliação</a></li>
					</ul>
				</div> <!-- /span-3 -->
	
				<div class="col-md-9"> <!-- Right -->
					<tiles:insertAttribute name="body" />
				</div> <!--/col-span-9-->
			</div>
	
		</div> <!-- /container -->
		
		<script src="<c:url value="/static/js/jquery.js"/>"></script>
		<script src="<c:url value="/static/js/jquery.validate.min.js"/>"></script>
		<script src="<c:url value="/static/js/additional-methods.min.js"/>"></script>
	    <script src="<c:url value="/static/js/bootstrap.js"/>"></script>
	    <script src="<c:url value="/static/js/bootstrap.paginator.min.js"/>"></script>
	    <script src="<c:url value="/static/js/bootstrap.datepicker.js"/>"></script>
	    <script src="<c:url value="/static/js/locales/bootstrap-datepicker.pt-BR.js"/>"></script>
	    <script src="<c:url value="/static/js/jquery.mask.js"/>"></script>
	    <script src="<c:url value="/static/js/jquery.numeric.js"/>"></script>
	    <script src="<c:url value="/static/js/plugins.js"/>"></script>
	</body>
</html>