<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<!DOCTYPE html>
<html lang="pt-br">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="author" content="">
<link rel="shortcut icon" href="static/assets/ico/favicon.png">

<title>e-Selo - Selo Brasileiro de Acessibilidade Digital :: Entrar</title>

<!-- Bootstrap core CSS -->
<link href="<c:url value="/static/css/bootstrap.css"/>" rel="stylesheet">

<!-- Custom styles for this template -->
<link href="<c:url value="/static/css/login.css"/>" rel="stylesheet">

<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!--[if lt IE 9]>
      <script src="<c:url value="/static/js/html5shiv.js"/>"></script>
      <script src="<c:url value="/static/js/respond.min.js"/>"></script>
<![endif]-->

</head>

<body>

	<div class="container">

		<div class="jumbotron text-center">
			<h1>e-Selo</h1>
			<p>Selo Brasileiro de Acessibilidade Digital</p>
		</div>

		<form class="form-signin"
			action="<c:url value="/usuarios/renovar_senha"/>" method="post">
			<div class="control-group error">
				<div class="controls text-center">
					<c:forEach var="error" items="${errors}">
						<span class="help-inline">${error.message}</span>
					</c:forEach>
				</div>
			</div>

			<input id="senha" name="usuario.chaveAlteracaoSenha" value="${hash}" type="hidden">
				
			<input id="senha" name="usuario.senha"
				type="password" class="form-control" required placeholder="Nova senha">
				
			<input id="senha_confirmacao" name="usuario.confirmacaoSenha"
				type="password" class="form-control" required
				placeholder="Confirmação">
			
			<br />

			<button class="btn btn-lg btn-primary btn-block" type="submit">Alterar
				Senha</button>
		</form>

	</div>
	<!-- /container -->

	<script src="<c:url value="/static/js/jquery.js"/>"></script>
	<script src="<c:url value="/static/js/bootstrap.js"/>"></script>
	<script src="<c:url value="/static/js/jquery.mask.js"/>"></script>

	<script>
		// 			$(".cpf").mask("000.000.000-00");
	</script>
</body>
</html>