package br.com.eselo.dao;

import java.sql.SQLException;
import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Avaliacao;
import br.com.eselo.model.ResultadoRecomendacao;

@Component
public class ResultadoRecomendacaoDao  extends GenericDAO<ResultadoRecomendacao>{

	
	public ResultadoRecomendacaoDao(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<ResultadoRecomendacao> getResultadoRecomendacao(Avaliacao avaliacao) {
						
		 List<ResultadoRecomendacao> encontrado = getSession()
				.createCriteria(getPersistentClass())
				.setResultTransformer(Criteria.DISTINCT_ROOT_ENTITY)
				.add(Restrictions.eq("avaliacao", avaliacao)).addOrder(Order.asc(("numeroRecomendacao")))
				.list();

		 try {
				session.connection().close();
			} catch (HibernateException e) {
				e.printStackTrace();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		 
		 return encontrado;
	}
}
