package br.com.eselo.dao;

import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Usuario;
import br.com.eselo.model.UsuarioServicoWeb;

@Component
public class UsuarioServicoWebDAO extends GenericDAO<UsuarioServicoWeb> {

  public UsuarioServicoWebDAO(Session _session) {
    super(_session);
  }

  public UsuarioServicoWeb existeUsuarioServicoWeb(String codigoHash) {
    return (UsuarioServicoWeb) getSession().createCriteria(getPersistentClass())
        .add(Restrictions.eq("codigoHash", codigoHash))
        .add(Restrictions.eq("usuarioAtivo", true))
        .uniqueResult();
  }

}
